package decorator;

public class Main {
    public void myMeals() {
        IMeal meal1 = new MainDish("Rote Linsensuppe", 160);
        System.out.println(meal1.getName());
        System.out.println(meal1.getPrice());

        IMeal meal2 = new FriesDecorator(meal1);
        System.out.println(meal2.getName());
        System.out.println(meal2.getPrice());

        IMeal meal3 = new FriesDecorator(new SaladDecorator(meal1));
        System.out.println(meal3.getName());
        System.out.println(meal3.getPrice());

        IMeal meal4 = new FriesDecorator(
                new FriesDecorator(
                    meal3));
        System.out.println(meal4.getName());
        System.out.println(meal4.getPrice());
    }

    public static void main(String[] args) {
       Main main = new Main();
       main.myMeals();
    }
}
